--The encoding trigger
--CHAT_MSG_RAID, CHAT_MSG_RAID_LEADER
function(_,msg,sender)
	local sender = string.match(sender, "%a+")
	local returnMessage = aura_env.decode(msg)
	if returnMessage == aura_env.messages["Initialized"] then
		local isfound = 0
		for k,v in pairs(aura_env.peopleList) do
			if v == UnitName("player") then
				isfound = 1
				break
			end
		end
		if isfound == 0 then
			aura_env.peopleList[#aura_env.peopleList + 1] = UnitName("player")
		end
		local msg = aura_env.messages["Added to interrupt list"]
		local msg = aura_env.encode(msg)
		SendChatMessage(msg, "RAID")
	end
	if returnMessage == aura_env.messages["Added to interrupt list"] then
		local isfound = 0
		for k,v in pairs(aura_env.peopleList) do
			if v == sender then
				isfound = 1
				break
			end
		end
		if isfound == 0 then
			aura_env.peopleList[#aura_env.peopleList + 1] = sender
		end
	end
	if returnMessage == aura_env.messages["Interrupted"] then
		aura_env.currentInterrupt = aura_env.currentInterrupt + 1
	end
	if returnMessage == aura_env.messages["Cycle Interrupt DEBUG"] then
		aura_env.currentInterrupt = aura_env.currentInterrupt + 1
	end
	return true
end